package de.effigenix.infrastructure.masterdata.persistence.repository;

import de.effigenix.infrastructure.masterdata.persistence.entity.FrameContractEntity;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;
import java.util.Optional;

public interface FrameContractJpaRepository extends JpaRepository<FrameContractEntity, String> {

    Optional<FrameContractEntity> findByCustomerId(String customerId);

    List<FrameContractEntity> findByCustomerIdIn(List<String> customerIds);

    void deleteByCustomerId(String customerId);
}
